SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs

# sdh/serialbase.h File Reference

Interface of class SDH::cSerialBase, a virtal base class to access serial communication channels like RS232 or CAN. More...

`#include "sdhlibrary_settings.h"`
`#include <errno.h>`
`#include "sdhexception.h"`
`#include "dbg.h"`
`#include "sdhbase.h"`
Include dependency graph for serialbase.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | SDH::cSerialBaseException
| Derived exception class for low-level serial communication related exceptions. More...
class | SDH::cSerialBase
| Low-level communication class to access a serial port. More...
class | SDH::cSerialBase::cSetTimeoutTemporarily
| helper class to set timeout of _serial_base on construction and reset to previous value on destruction. (RAII-idiom) More...
## Namespaces
namespace | SDH
## Typedefs
typedef void * | SDH::tDeviceHandle
| generic device handle for CAN devices

## Detailed Description

Interface of class SDH::cSerialBase, a virtal base class to access serial communication channels like RS232 or CAN.

## General file information

Author:
  Dirk Osswald

Date:
  2008-05-02

## Copyright

Copyright (c) 2008 SCHUNK GmbH & Co. KG